Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getSwitchRoutingOspf({
networkId: "string",
});
export const merakiNetworksSwitchRoutingOspfExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_switch_routing_ospf(network_id="string")
pulumi.export("merakiNetworksSwitchRoutingOspfExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.LookupSwitchRoutingOspf(ctx, &networks.LookupSwitchRoutingOspfArgs{
NetworkId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksSwitchRoutingOspfExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetSwitchRoutingOspf.Invoke(new()
{
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksSwitchRoutingOspfExample"] = example.Apply(getSwitchRoutingOspfResult => getSwitchRoutingOspfResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetSwitchRoutingOspfArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getSwitchRoutingOspf(GetSwitchRoutingOspfArgs.builder()
.networkId("string")
.build());
ctx.export("merakiNetworksSwitchRoutingOspfExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getSwitchRoutingOspf
arguments:
networkId: string
outputs:
merakiNetworksSwitchRoutingOspfExample: ${example.item}
Using getSwitchRoutingOspf
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getSwitchRoutingOspf(args: GetSwitchRoutingOspfArgs, opts?: InvokeOptions): Promise<GetSwitchRoutingOspfResult>
function getSwitchRoutingOspfOutput(args: GetSwitchRoutingOspfOutputArgs, opts?: InvokeOptions): Output<GetSwitchRoutingOspfResult>def get_switch_routing_ospf(network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetSwitchRoutingOspfResult
def get_switch_routing_ospf_output(network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetSwitchRoutingOspfResult]func LookupSwitchRoutingOspf(ctx *Context, args *LookupSwitchRoutingOspfArgs, opts ...InvokeOption) (*LookupSwitchRoutingOspfResult, error)
func LookupSwitchRoutingOspfOutput(ctx *Context, args *LookupSwitchRoutingOspfOutputArgs, opts ...InvokeOption) LookupSwitchRoutingOspfResultOutput> Note: This function is named LookupSwitchRoutingOspf in the Go SDK.
public static class GetSwitchRoutingOspf
{
public static Task<GetSwitchRoutingOspfResult> InvokeAsync(GetSwitchRoutingOspfArgs args, InvokeOptions? opts = null)
public static Output<GetSwitchRoutingOspfResult> Invoke(GetSwitchRoutingOspfInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetSwitchRoutingOspfResult> getSwitchRoutingOspf(GetSwitchRoutingOspfArgs args, InvokeOptions options)
public static Output<GetSwitchRoutingOspfResult> getSwitchRoutingOspf(GetSwitchRoutingOspfArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getSwitchRoutingOspf:getSwitchRoutingOspf
arguments:
# arguments dictionaryThe following arguments are supported:
- Network
Id string - networkId path parameter. Network ID
- Network
Id string - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
- network
Id string - networkId path parameter. Network ID
- network_
id str - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
getSwitchRoutingOspf Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Switch Routing Ospf Item - Network
Id string - networkId path parameter. Network ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Switch Routing Ospf Item - Network
Id string - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Switch Routing Ospf Item - network
Id String - networkId path parameter. Network ID
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Switch Routing Ospf Item - network
Id string - networkId path parameter. Network ID
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Switch Routing Ospf Item - network_
id str - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- network
Id String - networkId path parameter. Network ID
Supporting Types
GetSwitchRoutingOspfItem
GetSwitchRoutingOspfItemArea
GetSwitchRoutingOspfItemMd5AuthenticationKey
- Id int
- Passphrase string
- Id int
- Passphrase string
- id Integer
- passphrase String
- id number
- passphrase string
- id int
- passphrase str
- id Number
- passphrase String
GetSwitchRoutingOspfItemV3
- areas
List<Get
Switch Routing Ospf Item V3Area> - dead
Timer IntegerIn Seconds - enabled Boolean
- hello
Timer IntegerIn Seconds
- areas
Get
Switch Routing Ospf Item V3Area[] - dead
Timer numberIn Seconds - enabled boolean
- hello
Timer numberIn Seconds
- areas List<Property Map>
- dead
Timer NumberIn Seconds - enabled Boolean
- hello
Timer NumberIn Seconds
GetSwitchRoutingOspfItemV3Area
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
